set terminal fig
set output "data.fig"

#set terminal postscript 
#set output "avg.eps"
set ytics nomirror
set yrange [0:200]
set yrange [0:200]
set y2range [0:280]
set ytics 0, 40
set y2tics 0, 40
#set output
#set terminal x11
set nokey
set key below
set title "Results of 10 runs"
set ylabel "performance"
set y2label "genome/junk length"
set xlabel "generation"
set size ratio 0.3
#set xr[0:10000]
#set yr[80:130]
#plot "overview.txt" using 2 t 'Performance, best of the best out of 10 runs (1)' axis x1y1 w lines lt 2 linewidth 2,\
#     "overview.txt" using 3 t 'Genome length, best of the best out of 10 runs (1)' axis x1y2 w lines lt 1 linewidth 1,\
#     "overview.txt" using 4 t 'Performance, avg. of best of 10 runs (10)' axis x1y1 w lines lt 6 linewidth 2,\
#     "overview.txt" using 5 t 'Genome length, avg. of best of 10 runs (10)' axis x1y2 w lines lt 5 linewidth 1,\
#     "overview.txt" using 6 t 'Performance, avg. of all individuals of 10 runs (2500)' axis x1y1 w lines lt 3 linewidth 2,\
#     "overview.txt" using 7 t 'Genome length, avg. of all individuals of 10 runs (2500)' axis x1y2 w lines lt 7 linewidth 1
plot "overview.txt" using 4 t 'Performance, avg. of best of 10 runs' axis x1y1 w lines lt 1 linewidth 1,\
     "overview.txt" using 5 t 'Genome length, avg. of best of 10 runs' axis x1y2 w lines lt 2 linewidth 1,\
     "avgJunk.txt" using 2 t '"Junk" length, avg. of best of 10 runs' axis x1y2 w lines lt 3 linewidth 1
     

#set terminal postscript landscape enhanced monochrome solid
#portrait
#set terminal fig
#epslatex
replot