//this is a simple tool to automatically evaluate results from evolutionary
//runs, especially averaging over a number of runs - but also computes some
//more specific things (length of genome, lifetime dynamics of best individual)
//implementation assumes 250 generations; change otherwise!!!
//VERY MESSY PROGRAMMING, SORRY!
import java.util.*;
import java.io.*;
 
public class averager{

public static String thisDir="";
public static String inputDataDir="../../inputData/";

public static int[] stringToIntArr(String in){
int[] ret=new int[in.length()];
int j=0;
for(int i=0;i<ret.length;i++)
 try{
  ret[j]=Integer.parseInt(""+in.charAt(i));
  j++;
 }catch(Exception e){}
int[] ret2=new int[j];
System.arraycopy(ret,0,ret2,0,j);
return ret2;
}

public static void computeDynamics(File genome, String fromDir, String outFilename){
File file = null;
PrintWriter out = null;
BufferedReader geno =null;
String read ="";
try{
              geno=new BufferedReader(
                    new FileReader(
                    genome));
  file = new File(outFilename);
  out = new PrintWriter(
	new OutputStreamWriter(
	new FileOutputStream(file)));

read= geno.readLine(); //fitness data only
out.println("#original name of this file: "+outFilename+"\n#holds data on a genome from the directory: "+fromDir+"\n#"+read);
read = geno.readLine(); //the genome
}
catch(Exception e){System.err.println("FILE ERROR in computeBehaviour() "+e);}
out.println("#genome: "+read);
String gg=read.replace(',',' ');
gg=gg.replace('{',' ');
gg=gg.replace('}',' ');
int[] geneInts=stringToIntArr(gg);

//extract fitness function
int whatMeasure=Integer.parseInt(fromDir.substring(fromDir.lastIndexOf("GRN")+3,fromDir.lastIndexOf("GRN")+4));
int whatFunction=Integer.parseInt(fromDir.substring(fromDir.lastIndexOf("/")+1));
int numberOfGenes=0;
String[] splitGene=read.split("3");
numberOfGenes=splitGene.length;
out.println("#"+fromDir);
out.println("#whatFit: "+whatMeasure);
out.println("#whatInput: "+whatFunction);
out.println("#geneNo: "+numberOfGenes);

if(fromDir.indexOf("KnabeGRN")>0){
//create KnabeGRN
KnabeGRN.geneNo=numberOfGenes;
KnabeGRN.setInputFunction(whatFunction);
KnabeGRN.setFitFunction(whatMeasure);
KnabeGRN z=new KnabeGRN(geneInts);
z.dynWriter=out;
input x=z.getIn();
x.initRand(1234);
z.live(x,z.getFit(),400);//assuming lifetime of 400!!
out.close();
}
else
  System.err.println("TRACK DYNAMICS NOT IMPLEMENTED FOR QUICKGRN");
}

public static void computeBehaviour(File genome, String fromDir, String outFilename){
File file = null;
PrintWriter out = null;
BufferedReader geno =null;
String read ="";
try{
              geno=new BufferedReader(
                    new FileReader(
                    genome));
  file = new File(outFilename);
  out = new PrintWriter(
	new OutputStreamWriter(
	new FileOutputStream(file)));


  //just for making a copy
  File file2 = new File("bestGeno.txt");
  PrintWriter out2 = new PrintWriter(
	             new OutputStreamWriter(
	             new FileOutputStream(file2)));


read= geno.readLine(); //fitness data only
out2.println(read);
out.println("#original name of this file: "+outFilename+"\n#holds data on a genome from the directory: "+fromDir+"\n#"+read);
read = geno.readLine(); //the genome
out2.println(read);
out2.close();
}
catch(Exception e){System.err.println("FILE ERROR in computeBehaviour() "+e);}
out.println("#genome: "+read);
String gg=read.replace(',',' ');
gg=gg.replace('{',' ');
gg=gg.replace('}',' ');
int[] geneInts=stringToIntArr(gg);

//extract fitness function
int whatMeasure=Integer.parseInt(fromDir.substring(fromDir.lastIndexOf("GRN")+3,fromDir.lastIndexOf("GRN")+4));
int whatFunction=Integer.parseInt(fromDir.substring(fromDir.lastIndexOf("/")+1));
int numberOfGenes=0;
String[] splitGene=read.split("3");
numberOfGenes=splitGene.length;

out.println("#"+fromDir);
out.println("#whatFit: "+whatMeasure);
out.println("#whatInput: "+whatFunction);
out.println("#geneNo: "+numberOfGenes);

if(fromDir.indexOf("KnabeGRN")>0){
//create KnabeGRN
KnabeGRN.geneNo=numberOfGenes;
KnabeGRN.setInputFunction(whatFunction);
KnabeGRN.setFitFunction(whatMeasure);
KnabeGRN z=new KnabeGRN(geneInts);
input x=z.getIn();
x.initRand(1234);
z.live3(x,z.getFit(),400,out);//assuming lifetime of 400!!
//begin special section with test for the best
File file3=null;
PrintWriter out3=null;
int longBlackout=140;
//what happens with no input at all:
try{
   File ftemp= new File("special/");
   ftemp.mkdirs();
   ftemp= new File("extraSpecial/");
   ftemp.mkdirs();
   file3= new File("special/nullInp.txt");
   out3 = new PrintWriter(
	             new OutputStreamWriter(
	             new FileOutputStream(file3)));
out3.println("#eternal darkness");
KnabeGRN.setInputFunction(whatFunction);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
x=new fileInp(inputDataDir+"nullInp.txt");
//x.initRand(1234);
z.live3(x,z.getFit(),400,out3);//assuming lifetime of 400!!
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
//what happens with a continuuos strong input:
try{
   file3= new File("special/fullInp.txt");
   out3 = new PrintWriter(
	             new OutputStreamWriter(
	             new FileOutputStream(file3)));
out3.println("#strong input always");
KnabeGRN.setInputFunction(whatFunction);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
x=new fileInp(inputDataDir+"fullInp.txt");
//x.initRand(1234);
z.live3(x,z.getFit(),400,out3);//assuming lifetime of 400!!
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
//what happens with a continuuos weak input:
try{
   file3= new File("special/halfInp.txt");
   out3 = new PrintWriter(
	             new OutputStreamWriter(
	             new FileOutputStream(file3)));
out3.println("#weak input always");
KnabeGRN.setInputFunction(whatFunction);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
x=new fileInp(inputDataDir+"halfInp.txt");
//x.initRand(1234);
z.live3(x,z.getFit(),400,out3);//assuming lifetime of 400!!
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
//what happens when we have long blackouts
try{
   file3= new File("special/longBlackout.txt");
   out3 = new PrintWriter(
	             new OutputStreamWriter(
	             new FileOutputStream(file3)));
out3.println("#long blackout (having the input they evolved to for a short while and the a long while nothing)");
KnabeGRN.setInputFunction(whatFunction);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
x=new fileInp(inputDataDir+"nullInp.txt");
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,55,out3);
z.live3(x,y,longBlackout,out3);
for(int u=0;u<longBlackout;u++)
  x2.getVal();  //forward internal counter of input
z.live3(x2,y,400-55-longBlackout,out3);//assuming lifetime of 400!!
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
//what happens when we have phaseshifts
try{
   file3= new File("special/phaseshift.txt");
   out3 = new PrintWriter(
	             new OutputStreamWriter(
	             new FileOutputStream(file3)));
out3.println("#what happens if we have a phaseshift?");
KnabeGRN.setInputFunction(whatFunction);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
x=new fileInp(inputDataDir+"nullInp.txt");
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,55,out3);
for(int u=0;u<4;u++)
  x2.getVal();  //forward internal counter of input
z.live3(x2,y,195-55,out3);//assuming lifetime of 400!!

z.live3(x,y,4,out3);
z.live3(x2,y,400-195,out3);//assuming lifetime of 400!!

out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
//what happens when we have a different wavelength
try{
   file3= new File("special/wavelength10.txt");
   out3 = new PrintWriter(
	             new OutputStreamWriter(
	             new FileOutputStream(file3)));
out3.println("#what happens with a slightly different wavelength (10)");
KnabeGRN.setInputFunction(whatFunction);
KnabeGRN.setFitFunction(whatMeasure);
KnabeGRN.wavelength=10;
z=new KnabeGRN(geneInts);
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,400,out3);
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
//what happens when we have a different wavelength
try{
   file3= new File("special/wavelength15.txt");
   out3 = new PrintWriter(
	             new OutputStreamWriter(
	             new FileOutputStream(file3)));
out3.println("#what happens with a slightly different wavelength (15)");
KnabeGRN.setInputFunction(whatFunction);
KnabeGRN.setFitFunction(whatMeasure);
KnabeGRN.wavelength=15;
z=new KnabeGRN(geneInts);
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,400,out3);
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
//what happens when we have a different wavelength
try{
   file3= new File("special/wavelength19.txt");
   out3 = new PrintWriter(
	             new OutputStreamWriter(
	             new FileOutputStream(file3)));
out3.println("#what happens with a slightly different wavelength (19)");
KnabeGRN.setInputFunction(whatFunction);
KnabeGRN.setFitFunction(whatMeasure);
KnabeGRN.wavelength=19;
z=new KnabeGRN(geneInts);
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,400,out3);
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
//what happens when we have a different wavelength
try{
   file3= new File("special/wavelength21.txt");
   out3 = new PrintWriter(
	             new OutputStreamWriter(
	             new FileOutputStream(file3)));
out3.println("#what happens with a slightly different wavelength (21)");
KnabeGRN.setInputFunction(whatFunction);
KnabeGRN.setFitFunction(whatMeasure);
KnabeGRN.wavelength=21;
z=new KnabeGRN(geneInts);
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,400,out3);
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
KnabeGRN.wavelength=20;



//what if we applay noise and blackout to those who are not used to it?
if(whatFunction<=3){
try{
//plus noise 
file3= new File("extraSpecial/plusNoise.txt");
out3 = new PrintWriter(
		new OutputStreamWriter(
		new FileOutputStream(file3)));
out3.println("#plus Noise");
KnabeGRN.setInputFunction(whatFunction+4);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,400,out3);
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
try{
//plus blackouts 
file3= new File("extraSpecial/plusBlackouts.txt");
out3 = new PrintWriter(
		new OutputStreamWriter(
		new FileOutputStream(file3)));
out3.println("#plus Blackouts");
KnabeGRN.setInputFunction(whatFunction+8);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,400,out3);
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
try{
//plus noise and blackouts 
file3= new File("extraSpecial/plusNoiseAndBlackouts.txt");
out3 = new PrintWriter(
		new OutputStreamWriter(
		new FileOutputStream(file3)));
out3.println("#plus Noise and Blackouts");
KnabeGRN.setInputFunction(whatFunction+12);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,400,out3);
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
}//end whatFunction<=3

if((whatFunction>3)&&(whatFunction<=7)){
try{
//perfect Input
file3= new File("extraSpecial/perfectInput.txt");
out3 = new PrintWriter(
		new OutputStreamWriter(
		new FileOutputStream(file3)));
out3.println("#perfect Input (neither noise nor blackouts)");
KnabeGRN.setInputFunction(whatFunction-4);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,400,out3);
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
try{
//only blackouts instead of noise
file3= new File("extraSpecial/withBlackouts.txt");
out3 = new PrintWriter(
		new OutputStreamWriter(
		new FileOutputStream(file3)));
out3.println("#only blackouts instead of noise");
KnabeGRN.setInputFunction(whatFunction+4);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,400,out3);
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
try{
//plus blackouts 
file3= new File("extraSpecial/plusBlackouts.txt");
out3 = new PrintWriter(
		new OutputStreamWriter(
		new FileOutputStream(file3)));
out3.println("#only blackouts instead of noise");
KnabeGRN.setInputFunction(whatFunction+8);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,400,out3);
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
}

if((whatFunction>7)&&(whatFunction<=11)){
try{
//perfect Input
file3= new File("extraSpecial/perfectInput.txt");
out3 = new PrintWriter(
		new OutputStreamWriter(
		new FileOutputStream(file3)));
out3.println("#perfect Input (neither noise nor blackouts)");
KnabeGRN.setInputFunction(whatFunction-8);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,400,out3);
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
try{
//only noise instead of blackouts
file3= new File("extraSpecial/withNoise.txt");
out3 = new PrintWriter(
		new OutputStreamWriter(
		new FileOutputStream(file3)));
out3.println("#only noise instead of blackouts");
KnabeGRN.setInputFunction(whatFunction-4);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,400,out3);
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
try{
//plus noise
file3= new File("extraSpecial/plusNoise.txt");
out3 = new PrintWriter(
		new OutputStreamWriter(
		new FileOutputStream(file3)));
out3.println("#plus noise");
KnabeGRN.setInputFunction(whatFunction+4);
KnabeGRN.setFitFunction(whatMeasure);
z=new KnabeGRN(geneInts);
input x2=z.getIn();
fitness y=z.getFit();
x2.initRand(1234);
z.live3(x2,y,400,out3);
out3.close();
}catch(Exception e){System.err.println("Fatal error in special section! ("+thisDir+"): "+e);}
}


//end special section with test for the best
}
else{
//create QuickGRN
QuickGRN.geneNo=numberOfGenes;
QuickGRN.setInputFunction(whatFunction);
QuickGRN.setFitFunction(whatMeasure);
QuickGRN z=new QuickGRN(geneInts);
z.live3(z.getIn(),z.getFit(),400,out);//assuming lifetime of 400!!
}

out.close();
}

public static String shorter(double inp,int length){
String res=""+inp;
if(res.length()>length)
  res=res.substring(0,length);
return res;
}

public static String shorter(double inp){
return shorter(inp,5);
}

public static int count=0;

public static void avgDir(String dir){
if((dir!="")&&(!dir.endsWith("/")))
  dir=dir+"/";
String extension=".txt";
File fileOut=null;
BufferedReader[] files=null;
PrintWriter out = null;
try{
 do{
  fileOut = new File(dir+count+extension);
  count++;
 }while(fileOut.exists());
 count--;
 if(count==0){
   System.out.println("Directory "+dir+" DOES NOT contain anything to average!");
   return;
 }
 files=new BufferedReader[count];
 fileOut = new File(dir+"avg"+extension);
 out = new PrintWriter(
       new OutputStreamWriter(
       new FileOutputStream(fileOut)));
 out.println("#Averaging "+count+" files from dir "+dir);
 for(int i=0;i<count;i++)
   files[i]=new BufferedReader(
            new FileReader(
            new File(dir+i+extension)));
 String temp="start";    
 double[] nums=new double[count];
 double[] nums2=new double[count];
 double tmpAvg=.0;
 double tmpBest=.9999;
 double tmpWorst=.0;
 int lineNumber=0;
 while(temp!=null){
   for(int i=0;i<count;i++){
     do{
       temp=files[i].readLine();
       if((temp!=null)&&(temp.startsWith("#")))
         out.println("#FROM FILE "+i+": "+temp);
     }while((temp!=null)&&(temp.startsWith("#")));
     if(temp!=null)
       nums[i]=(Double.valueOf(temp.substring(temp.lastIndexOf(" ")))).doubleValue();
     if((temp==null)&&(i>0))
       System.out.println("THE FILES SEEM NOT TO CONTAIN THE SAME AMOUNT OF LINES - CHECK THIS, PLEASE!!!!!!! ");
     if(temp==null)
       break;
   }
   if(temp!=null){
     tmpAvg=.0;
     for(int i=0;i<count;i++){
       tmpAvg+=nums[i];
       nums2[i]=nums[i]; //just make a copy which is unsorted...
       }
     java.util.Arrays.sort(nums);
     tmpBest=nums[0];
     tmpWorst=nums[nums.length-1];

     /*
     //debug only:
     out.print("#avg of");
     for(int i=0;i<count;i++)
       out.print(nums[i]+"; ");
     out.println();
     */
     
     tmpAvg=tmpAvg/(count*1.0);
     out.println(lineNumber+" "+tmpAvg+" "+tmpBest+" "+tmpWorst);
     lineNumber++;
   }
 }
out.close();

//determine which run was the best in order to extract its genome
int bestRunNum=-1;
for(int i=0;i<nums2.length;i++){
  if(nums2[i]==tmpBest)
    bestRunNum=i;
}
int bestRunGeneration=-1;
int nextOnInterval=0;
int interval=25; //every 25 generations plot the dynamics of best individual
File ftemp= new File("trackDynamics/");
ftemp.mkdirs();
for(int i=0;i<250;i++){ //assuming 250 generations!
  fileOut = new File(bestRunNum+"/bestOfGen"+i+".txt");
  if(fileOut.exists())
    bestRunGeneration=i;
  if((i==nextOnInterval)||(i==249)){
    fileOut=new File(bestRunNum+"/bestOfGen"+bestRunGeneration+".txt");
    computeDynamics(fileOut,thisDir,"trackDynamics/gen"+i+".txt");
    nextOnInterval+=interval;
    }
}
fileOut = new File(bestRunNum+"/bestOfGen"+bestRunGeneration+".txt");
computeBehaviour(fileOut,thisDir,"bestLife.txt");

fileOut = new File("../../bestTable.tex");
if(!fileOut.exists()){
  System.err.println("OUTPUT FILE NOT FOUND");
  System.exit(1);
  }
out = new PrintWriter(
      new OutputStreamWriter(
      new FileOutputStream(fileOut,true)));
out.write(" & "+shorter(tmpBest));
out.close();
fileOut = new File("../../bestAvgWorstTable.tex");
if(!fileOut.exists()){
  System.err.println("OUTPUT FILE NOT FOUND");
  System.exit(1);
  }
out = new PrintWriter(
      new OutputStreamWriter(
      new FileOutputStream(fileOut,true)));
out.write(" & "+shorter(tmpBest)+" / "+shorter(tmpAvg)+" / "+shorter(tmpWorst));
out.close();
fileOut = new File("../../avgStdErrTable.tex");
if(!fileOut.exists()){
  System.err.println("OUTPUT FILE NOT FOUND");
  System.exit(1);
  }
out = new PrintWriter(
      new OutputStreamWriter(
      new FileOutputStream(fileOut,true)));
double tempsum=.0;
for(int i=0;i<nums.length;i++)
  tempsum+=(nums[i]-tmpAvg)*(nums[i]-tmpAvg);
double sigma=Math.sqrt(tempsum/(nums.length*1.0));
double stdErr=sigma/Math.sqrt(nums.length);
out.write(" & "+shorter(tmpAvg)+" +- "+shorter(stdErr));
out.close();
//this is what we finally use for the paper: one tex file per result!!!
fileOut = new File("tabled.tex");
out = new PrintWriter(
      new OutputStreamWriter(
      new FileOutputStream(fileOut,false)));//overwritte if exists
/*int numberOfGenes=0;
try{                  //might be two digits for the gene number...
numberOfGenes=Integer.parseInt(thisDir.substring(thisDir.lastIndexOf("FitFunc")+7,thisDir.lastIndexOf("FitFunc")+9));
}catch(Exception e){  //...or only one
  numberOfGenes=Integer.parseInt(thisDir.substring(thisDir.lastIndexOf("FitFunc")+7,thisDir.lastIndexOf("FitFunc")+8));
}
 if(numberOfGenes==5)//5 genes
   out.write(" ($ "+shorter(tmpAvg)+" $ $\\pm"+shorter(stdErr,4)+"$)\n");
 else//9 genes
   out.write(" $ "+shorter(tmpAvg)+" $ $\\pm"+shorter(stdErr,4)+"$\n");
*/

// old format results
 out.write(" $ "+shorter(tmpAvg)+" $ $\\pm"+shorter(stdErr,4)+"$ $"+shorter(tmpBest)+":$ \n");
out.close();
}
catch(Exception e){
  System.err.println("ERROR AVERAGING FILES!!!\n"+e);
}
}

public static void genomeLengthDir(String offset){
String lastLine="";
int lastGen=-1;
try{
int length=0; int generation=0;
for(int i=0;i<count;i++){
File currDir=new File(""+i);
if(!currDir.isDirectory()){
  System.err.println("Data missing - not a directory where I would expect one!");
  continue;
  }
String[] ttt=currDir.list();
java.util.Arrays.sort(ttt,new java.util.Comparator() {
                public int compare(
                   Object o1, Object o2) {
                     String s1=(String)o1;
                     String s2=(String)o2;
                     if(!s1.endsWith(".txt"))
                       return -1;
                     if(!s2.endsWith(".txt"))
                       return 1;
                     int x1=Integer.parseInt(s1.substring(s1.indexOf("Gen")+3,s1.lastIndexOf(".")));
                     int x2=Integer.parseInt(s2.substring(s2.indexOf("Gen")+3,s2.lastIndexOf(".")));
                     return x1-x2;
                }
            });

File fileOut = new File(i+"/genLength");
PrintWriter out = new PrintWriter(
      new OutputStreamWriter(
      new FileOutputStream(fileOut)));
out.println("#generation / genome length of best / length of junk in best genome\n#NB: missing generations indicate that the best indivdual did not improve");
for(int j=0;j<ttt.length;j++){
  if(!ttt[j].endsWith(".txt"))
    continue;
  BufferedReader temp=new BufferedReader(
    new FileReader(
    new File(i+"/"+ttt[j])));
  String t=temp.readLine();//no data
  t=temp.readLine();//contains genome
  t=t.trim();
  length=(t.length()-1)/2;
  generation=Integer.parseInt(ttt[j].substring(ttt[j].indexOf("Gen")+3,ttt[j].lastIndexOf(".")));
if(lastGen!=generation-1){
  for(int w=lastGen+1;w<generation;w++)
    out.println(w+lastLine);
}
lastGen=generation;
int ct=0;
t=KnabeGRN.intArrToString((stringToIntArr(t)));
//System.out.println(t);
String[] splitGeno=t.split(""+3); //3 is the delimiter of genes
String[] splitGene;
for(int s=0;s<splitGeno.length-1;s++){//for every geen
 splitGene=splitGeno[s].split("2"); //2 is delimiter for cis sites
 for(int r=0;r<splitGene.length-1;r++){//for every cis-site
   if(splitGene[r].length()>3) //needs to code for one protein binding site at least to qualify as a cis site
     ct+=(splitGene[r].length()-1)%3; //one for activ/inhib and three for every binding site
   else
     ct+=splitGene[r].length();
 }
 if(splitGene[splitGene.length-1].length()>3)
   ct+=splitGene[splitGene.length-1].length()-4;//for global gene coding
 else
   ct=+splitGene[splitGene.length-1].length();
}

  lastLine="  "+length+" "+ct;
  out.println(generation+lastLine);
  }
if(lastGen!=249){
  for(int w=lastGen+1;w<250;w++)
    out.println(w+lastLine);
}
out.close();
}
}catch(Exception e){System.err.println("Error in avg genome length generating code ("+thisDir+"):\n"+e);
                   }
}

public static void main(String[] args){
//for(int i=0;i<4;i++)//4 types of input function
if((args.length>0)&&(args[0]!="")){
thisDir=args[0];
}
//System.out.println(thisDir);
avgDir("");
if((args.length>0)&&(args[0]!="")&&(args[0].indexOf("KnabeGRN")>0)&&(count>0)){
  //this is a KnabeGRN, so we have genomes of different length and want to get the avg. length
  //genomeLengthDir(""); //NOT CURRENTLY USED
}
}

} 
