/*repeat forever:
  +1 output if counter%wavelength==1
  .0 output else
*/
import java.awt.*;
 
public class pulseInp implements input { 

public int counter;
public int wavelength;
public double stdDev;
public boolean useNoise;
public static java.util.Random rand=new java.util.Random();


public void initRand(long seed){
rand=new java.util.Random(seed);
}

/*parameter specifies wavelength...
*/
public pulseInp(int wavelength,double stdDev){
counter=0;
this.stdDev=stdDev;
useNoise=false;
if(stdDev!=.0)
  useNoise=true;
this.wavelength=wavelength;
}

/*parameter specifies wavelength...
*/
public pulseInp(int wavelength){
this(wavelength,.0);
}

public static double aboveZero(double in){
if(in<.0)
  return .0;
else
  return in;
}

/*This gives input to an individual, every 
  time step - over time a sigmoidal curve
*/
public double getVal(){
counter++;
if(counter % wavelength == 1)
  return 1.0;
else
  return aboveZero(.0+(rand.nextGaussian()*stdDev));
}

}